# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{sup}
  s.version = "0.10.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["William Morgan"]
  s.date = %q{2010-01-26}
  s.description = %q{Sup is a console-based email client for people with a lot of email. It supports tagging, very fast full-text search, automatic contact-list management, and more. If you're the type of person who treats email as an extension of your long-term memory, Sup is for you.  Sup makes it easy to: - Handle massive amounts of email.  - Mix email from different sources: mbox files (even across different machines), Maildir directories, IMAP folders, POP accounts, and GMail accounts.  - Instantaneously search over your entire email collection. Search over body text, or use a query language to combine search predicates in any way.  - Handle multiple accounts. Replying to email sent to a particular account will use the correct SMTP server, signature, and from address.  - Add custom code to handle certain types of messages or to handle certain types of text within messages.  - Organize email with user-defined labels, automatically track recent contacts, and much more!  The goal of Sup is to become the email client of choice for nerds everywhere.}
  s.email = %q{wmorgan-sup@masanjin.net}
  s.executables = ["sup", "sup-add", "sup-config", "sup-dump", "sup-recover-sources", "sup-sync", "sup-sync-back", "sup-tweak-labels", "sup-convert-ferret-index"]
  s.files = ["CONTRIBUTORS", "README.txt", "LICENSE", "History.txt", "ReleaseNotes", "bin/sup", "bin/sup-add", "bin/sup-config", "bin/sup-dump", "bin/sup-recover-sources", "bin/sup-sync", "bin/sup-sync-back", "bin/sup-tweak-labels", "bin/sup-convert-ferret-index", "lib/sup.rb", "lib/ncurses.rb", "lib/sup/poll.rb", "lib/sup/source.rb", "lib/sup/crypto.rb", "lib/sup/horizontal-selector.rb", "lib/sup/mode.rb", "lib/sup/interactive-lock.rb", "lib/sup/account.rb", "lib/sup/imap.rb", "lib/sup/maildir.rb", "lib/sup/contact.rb", "lib/sup/message.rb", "lib/sup/label.rb", "lib/sup/index.rb", "lib/sup/keymap.rb", "lib/sup/rfc2047.rb", "lib/sup/tagger.rb", "lib/sup/util.rb", "lib/sup/textfield.rb", "lib/sup/xapian_index.rb", "lib/sup/sent.rb", "lib/sup/undo.rb", "lib/sup/mbox.rb", "lib/sup/person.rb", "lib/sup/ferret_index.rb", "lib/sup/thread.rb", "lib/sup/update.rb", "lib/sup/hook.rb", "lib/sup/message-chunks.rb", "lib/sup/colormap.rb", "lib/sup/buffer.rb", "lib/sup/logger.rb", "lib/sup/draft.rb", "lib/sup/modes/label-search-results-mode.rb", "lib/sup/modes/completion-mode.rb", "lib/sup/modes/thread-index-mode.rb", "lib/sup/modes/reply-mode.rb", "lib/sup/modes/forward-mode.rb", "lib/sup/modes/compose-mode.rb", "lib/sup/modes/thread-view-mode.rb", "lib/sup/modes/person-search-results-mode.rb", "lib/sup/modes/help-mode.rb", "lib/sup/modes/file-browser-mode.rb", "lib/sup/modes/edit-message-mode.rb", "lib/sup/modes/console-mode.rb", "lib/sup/modes/contact-list-mode.rb", "lib/sup/modes/poll-mode.rb", "lib/sup/modes/inbox-mode.rb", "lib/sup/modes/log-mode.rb", "lib/sup/modes/scroll-mode.rb", "lib/sup/modes/text-mode.rb", "lib/sup/modes/label-list-mode.rb", "lib/sup/modes/resume-mode.rb", "lib/sup/modes/line-cursor-mode.rb", "lib/sup/modes/search-results-mode.rb", "lib/sup/modes/buffer-list-mode.rb", "lib/sup/mbox/ssh-file.rb", "lib/sup/mbox/loader.rb", "lib/sup/mbox/ssh-loader.rb"]
  s.homepage = %q{http://sup.rubyforge.org/}
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{A console-based email client with the best features of GMail, mutt, and emacs. Features full text search, labels, tagged operations, multiple buffers, recent contacts, and more.}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rmail>, [">= 0.17"])
      s.add_runtime_dependency(%q<highline>, [">= 0"])
      s.add_runtime_dependency(%q<net-ssh>, [">= 0"])
      s.add_runtime_dependency(%q<trollop>, [">= 1.12"])
      s.add_runtime_dependency(%q<lockfile>, [">= 0"])
      s.add_runtime_dependency(%q<mime-types>, ["~> 1"])
      s.add_runtime_dependency(%q<gettext>, [">= 0"])
    else
      s.add_dependency(%q<rmail>, [">= 0.17"])
      s.add_dependency(%q<highline>, [">= 0"])
      s.add_dependency(%q<net-ssh>, [">= 0"])
      s.add_dependency(%q<trollop>, [">= 1.12"])
      s.add_dependency(%q<lockfile>, [">= 0"])
      s.add_dependency(%q<mime-types>, ["~> 1"])
      s.add_dependency(%q<gettext>, [">= 0"])
    end
  else
    s.add_dependency(%q<rmail>, [">= 0.17"])
    s.add_dependency(%q<highline>, [">= 0"])
    s.add_dependency(%q<net-ssh>, [">= 0"])
    s.add_dependency(%q<trollop>, [">= 1.12"])
    s.add_dependency(%q<lockfile>, [">= 0"])
    s.add_dependency(%q<mime-types>, ["~> 1"])
    s.add_dependency(%q<gettext>, [">= 0"])
  end
end
